-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
-- Script:  PCL (Pilot controlled Lights)
-- Version: 1.0
-- Build:   2014-03-06
-- By:      oe3gsu@x-plane.at
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
-- Description:
-- Allows showing or hiding of switchable lightings
-- Usable in all planes, but only at airports with switchable lightings!
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
-- USAGE:
-- Install LUA, copy this script to the "Script"-Folder of LUA
-- Start X-Plane or reload all LUA Scripts
-- Define a Key or Buton for the PTT-Key
-- When you approach to an PCL-equipped Airport press the PTT-Key 5 times in 5 seconds
-- The Lights are on for 15 minutes
-- Be shure to again switch on the lights the final!
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

-- User selectable options -------------------------------------------------

-- STARTUP -----------------------------------------------------------------

----------------------------------------------------------------------------
-- Don't edit the following lines unless you are a LUA programmer ----------
----------------------------------------------------------------------------

PCL_ON = false
PCL_ADF2 = get("sim/cockpit/radios/adf2_stdby_freq_hz")
PCL_ADF2_OLD = ADF2
PCL_COUNT = 0
PCL_START_TIME = os.clock()
PCL_STOP_TIME = os.clock()
PCL_LIGHT_ON = false

-- RUN ---------------------------------------------------------------------

function switch_PCL()
   
  if PCL_ON == true then
    if PCL_COUNT == 0 then
      PCL_START_TIME = os.clock()
    end
    if PCL_COUNT < 4 then
      PCL_COUNT = PCL_COUNT + 1
    else
      PCL_COUNT = 0
      if (os.clock() < (PCL_START_TIME + 5)) then
        if PCL_LIGHT_ON == false then
          PCL_ADF2_OLD = get("sim/cockpit/radios/adf2_stdby_freq_hz")
        end
        set("sim/cockpit/radios/adf2_stdby_freq_hz", 200)
        PCL_LIGHT_ON = true
        PCL_STOP_TIME = os.clock() + 900
      end
    end
    PCL_ON = false
  end
end -- FUNCTION


function switch_PLC_OFF()

  if PCL_LIGHT_ON == true then
    if os.clock() > PCL_STOP_TIME then
      set("sim/cockpit/radios/adf2_stdby_freq_hz", PCL_ADF2_OLD)
      PCL_LIGHT_ON = false
    end
  end 
end

create_command("FlyWithLua/PCL/PTT_KEY", "PTT-Key to switch lighting ON", "PCL_ON = true", "", "")

-- register function
do_every_draw("switch_PCL()")
do_often("switch_PLC_OFF()")




















